## org.hibernate.event.service.spi
Enum DuplicationStrategy.Action

    java.lang.Object
      java.lang.Enum<DuplicationStrategy.Action>
          org.hibernate.event.service.spi.DuplicationStrategy.Action

All Implemented Interfaces:
  Serializable, Comparable<DuplicationStrategy.Action>

Enclosing interface:
  DuplicationStrategy

    public static enum DuplicationStrategy.Action

extends Enum<DuplicationStrategy.Action>

The enumerated list of actions available on duplication match

Enum Constant Summary
`ERROR`
`KEEP_ORIGINAL`
`REPLACE_ORIGINAL`

Method Summary
`static DuplicationStrategy.Action` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DuplicationStrategy.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final DuplicationStrategy.Action ERROR

### KEEP_ORIGINAL

    public static final DuplicationStrategy.Action KEEP_ORIGINAL

### REPLACE_ORIGINAL

    public static final DuplicationStrategy.Action REPLACE_ORIGINAL

Method Detail

### values

    public static DuplicationStrategy.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DuplicationStrategy.Action c : DuplicationStrategy.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DuplicationStrategy.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.